Skip to main content
GET
/
api
/
v1
/
hub
/
{hub_id}
/
playlists
List Public Hub Media Playlists
curl --request GET \
  --url https://api.member.dev/api/v1/hub/{hub_id}/playlists \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "created_at": "2023-11-07T05:31:56Z",
        "hub_id": "<string>",
        "position": 123,
        "team_id": "<string>",
        "updated_at": "2023-11-07T05:31:56Z",
        "visibility": "<string>",
        "file_id": "<string>",
        "playlist_id": "<string>",
        "published_at": "2023-11-07T05:31:56Z"
      },
      "id": "<string>",
      "type": "<string>",
      "links": {
        "self": "<string>"
      },
      "meta": {},
      "relationships": {}
    }
  ],
  "included": [
    "<unknown>"
  ],
  "links": {
    "next": "<string>",
    "self": "<string>"
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

hub_id
string
required

Query Parameters

page[size]
integer
default:20
Required range: 1 <= x <= 100
page[after]
string | null

Response

Successful Response

Collection response wrapping a list of HubMediaResource.

data
JsonApiResource[HubMediaAttributes] · object[]
required
included
any[] | null
meta
Meta · object